=== debian/changelog ===
mlgmp (20021123-21) unstable; urgency=medium

  * Team upload
  * Fix compilation with gcc-10 (Closes: #957548)
  * Remove Mike from Uploaders (Closes: #873239)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Aug 2020 07:14:02 +0200

mlgmp (20021123-20) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

  [ Rémi Vanicat ]
  * Removing myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Sep 2019 10:40:52 +0200

mlgmp (20021123-19) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump debhelper compat to 10
  * Update Vcs-*

  [ Dimitri John Ledkov ]
  * Update extern declarations for [de]serialize functions to match ocaml
    4.04 definitions.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Jul 2017 10:22:11 +0200

mlgmp (20021123-18) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Ralf Treinen ]
  * Remove Sven Luther from uploaders (closes: #677755)
  * Standards-Vesion 3.9.6 (no change)
  * Convert to source format 3.0 (quilt):
    - update source/format
    - drop build-dependency on dpatch
    - convert patches in debian/patches from dpatch to quilt
    - drop explicit patching in debian/rules
  * Simplify debian/rules: use dh overrides

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Aug 2015 14:05:45 +0200

mlgmp (20021123-17) unstable; urgency=low

  * debian/patches/20_mlgmp_z.dpatch: fix wrong conversion from int on
    64 bits computers (Closes: #573978).
  * Bump ocaml-nox version to (>= 3.11.1-3~) and dh-ocaml to (>= 0.9~).
  * Bump standards to 3.8.4, no changes needed.
  * Remove Zack from Uploaders (on his request).
  * Add debian/source/format (keep 1.0 for now).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 03 Jun 2010 23:05:36 +0200

mlgmp (20021123-16) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Switch to dh-ocaml 0.9
    * Use ocaml:Depends/Provides in debian/control
    * Use debian/libgmp-ocaml-dev.ocamldoc to generate documentation
      (Closes: #549844)
  * Move .../gmp/META to .../METAS/META.gmp since this is a debian
    specific META

  [ Mehdi Dogguy ]
  * Update my e-mail address

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 06 Oct 2009 18:47:11 +0200

mlgmp (20021123-15) unstable; urgency=low

  * Use new Ocaml's stdlib location
  * Move library packages to the new ocaml section
  * Add myself to uploaders
  * Bump standards to 3.8.2
  * Add a README.source
  * Generate documentation
  * Register documentation with docbase
  * Add a watch file

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Wed, 24 Jun 2009 21:57:04 +0200

mlgmp (20021123-14) unstable; urgency=low

  [ Mike Furr ]
  * Changed packaging to git and updated VCS field
  * Changed Maintainer to d-o-m, added self to uploaders
  * Chnaged compat file to 7
  * Bump standards to 3.8.0
  * Cleaned up rules file and added build-dep on dh-ocaml
  * Changed *.in to use new substitutation vars
  * Added Homepage
  * Install the .so file directly into the proper package tree via the
    makefile, instead of moving it there manually in rules

  [ Sylvain Le Gall ]
  * Update my email address

 -- Mike Furr <mfurr@debian.org>  Fri, 27 Feb 2009 16:28:55 -0500

mlgmp (20021123-13) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * fix typo in Sylvain's name
  * bump urgency to medium for the OCaml 3.10.1 transition

  [ Stephane Glondu ]
  * Fix binNMU safety (Closes: #464312)
  * Fix OCaml spelling in description
  * Fix copyright file
  * Use ${binary:Version} instead of deprecated ${Source-Version} in
    debian/control
  * Add Section:libs for source package
  * Add descriptions to patches
  * Fix lintian debian-rules-ignores-make-clean-error
  * Removing empty stublibs directory from -dev package
  * Update Standards-Version to 3.7.3

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Mar 2008 15:24:05 +0100

mlgmp (20021123-12) unstable; urgency=low

  * Rebuild with 3.10.0 (Closes: #441187)

 -- Mike Furr <mfurr@debian.org>  Fri, 07 Sep 2007 17:05:56 -0400

mlgmp (20021123-11) unstable; urgency=low

  * Standards-Version 3.7.2 (no change)
  * Rebuild with Ocaml 3.09.2 (closes: Bug#369711)
  * Package description: replaced "O'Caml" by "OCaml"
  * debian/rules: changed name of the target "transition" into "debian/control"

 -- Ralf Treinen <treinen@debian.org>  Wed,  7 Jun 2006 22:24:56 +0200

mlgmp (20021123-10) unstable; urgency=low

  * Remove hard-coded ABI version
  * Rebuild with 3.09.1

 -- Mike Furr <mfurr@debian.org>  Sat,  7 Jan 2006 18:04:32 -0500

mlgmp (20021123-9) unstable; urgency=low

  * Rebuild with 3.09

 -- Mike Furr <mfurr@debian.org>  Tue,  8 Nov 2005 22:29:07 -0500

mlgmp (20021123-8) unstable; urgency=low

  * Moved the binary packages into their proper sections of
    libs && libdevel

 -- Mike Furr <mfurr@debian.org>  Mon,  5 Sep 2005 12:07:48 -0400

mlgmp (20021123-7) unstable; urgency=low

  * Use -O2 instead of -O3 to hopefully avoid an ICE on m68k
  * Several bug fixes from Pascal Zimmer including
    - Z2.copy is really Z.copy
    - Added a real Z2.copy
    - _mlgmp_z2_from_[int|string_base|float] now use mpz_set
      insetad of mpz_init_set
    - Added test suite for these functions

 -- Mike Furr <mfurr@debian.org>  Sat,  3 Sep 2005 15:11:10 -0400

mlgmp (20021123-6) unstable; urgency=low

  * Rebuild against new gmp package.

 -- Mike Furr <mfurr@debian.org>  Fri, 29 Jul 2005 12:31:36 -0400

mlgmp (20021123-5) unstable; urgency=medium

  * Rebuild against 3.08.3
  * Set [Build-]Depends to 3.08.3

 -- Mike Furr <mfurr@debian.org>  Wed, 23 Mar 2005 12:54:24 -0500

mlgmp (20021123-4) unstable; urgency=low

  * Rebuild with ocaml 3.08
  * Change deps to use ocaml-nox-3.08

 -- Mike Furr <mfurr@debian.org>  Thu, 22 Jul 2004 13:10:24 -0400


