=== debian/control ===
Source: mlgmp
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
  ocaml-nox,
  debhelper-compat (= 13),
  libgmp3-dev,
  libmpfr-dev,
  dh-ocaml
Homepage: http://www-verimag.imag.fr/~monniaux/download/
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: ocaml
Vcs-Git: https://salsa.debian.org/ocaml-team/mlgmp.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/mlgmp

Package: libgmp-ocaml
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends},
  ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the GNU multiprecision arithmetic library (runtime)
 This package provides bindings for the GNU multiprecision library
 (GNU MP) for the language OCaml (caml.inria.fr).  It is mostly a 1-1 mapping
 of the C functions into the OCaml namespace, but also includes some
 infix operators to make for a cleaner syntax.
 .
 This package provides the shared library for running applications linked
 against libgmp-ocaml

Package: libgmp-ocaml-dev
Architecture: any
Depends:
  ${ocaml:Depends},
  libgmp3-dev,
  ${misc:Depends}
Recommends: ocaml-findlib
Provides: ${ocaml:Provides}
Description: OCaml bindings for the GNU multiprecision arithmetic library (dev)
 This package provides bindings for the GNU multiprecision library
 (GNU MP) for the language OCaml(caml.inria.fr).  It is mostly a 1-1 mapping
 of the C functions into the OCaml namespace, but also includes some
 infix operators to make for a cleaner syntax.
 .
 This package provides the static library, OCaml library and interface
 for developing applications to use libgmp-ocaml
