=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=libgmp-ocaml

include /usr/share/ocaml/ocamlvars.mk

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
HAS_OPT="HAS_OPT=1"
else
HAS_OPT=
endif
%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) depend
	$(MAKE) $(HAS_OPT)

override_dh_auto_install:
	$(MAKE) $(HAS_OPT) install \
	      DESTDIR=$(CURDIR)/debian/$(PACKAGE)-dev \
	      STUBDIR=$(CURDIR)/debian/$(PACKAGE)/$(OCAML_DLL_DIR)
